HAWQ-1787. Refactor notice in pre-built toolchain
diff --git a/.github/workflows/build.yml b/.github/workflows/build.yml
index d16ec37..4ee1b4b 100644
--- a/.github/workflows/build.yml
+++ b/.github/workflows/build.yml
@@ -23,7 +23,7 @@
     strategy:
       fail-fast: false
       matrix:
-        platform: [ubuntu-latest, macos-latest]
+        platform: [ubuntu-18.04, macos-latest]
 
     runs-on: ${{ matrix.platform }}
 
@@ -52,10 +52,8 @@
       timeout-minutes: 10
       run: |
         source .github/workflows/scripts/toolchain.sh
-        export CFLAGS="$CFLAGS -w"
-        export LDFLAGS="$LDFLAGS -Wl,-rpath,$HAWQ_TOOLCHAIN_PATH/dependency/package/lib"
 
-        ./configure --enable-debug --prefix=/tmp/hawq || cat config.log
+        ./configure --prefix=/tmp/hawq || cat config.log
         test -f config.status
 
     - name: build hawq
diff --git a/.github/workflows/scripts/download/.gitignore b/.github/workflows/scripts/download/.gitignore
index 57c53d5..72e8ffc 100644
--- a/.github/workflows/scripts/download/.gitignore
+++ b/.github/workflows/scripts/download/.gitignore
@@ -1 +1 @@
-./*
+*
diff --git a/.github/workflows/scripts/toolchain.sh b/.github/workflows/scripts/toolchain.sh
index f7339c8..743bf0a 100644
--- a/.github/workflows/scripts/toolchain.sh
+++ b/.github/workflows/scripts/toolchain.sh
@@ -19,6 +19,18 @@
 # https://github.com/apache/hawq/releases/tag/thirdparty
 REPO=https://github.com/apache/hawq/releases/download/thirdparty/
 
+# ISA and OS checking
+arch=$(uname -m)
+case $arch in
+  x86_64) ;;
+  *) echo "Not supported on ISA $arch"; return 1; ;;
+esac
+os=$(uname -s)
+case $os in
+  Darwin) ;;
+  Linux)  ;;
+  *) echo "Not supported on OS $os"; return 1; ;;
+esac
 
 
 ###
@@ -32,13 +44,15 @@
 
     for file in $(find $HAWQ_TOOLCHAIN_PATH/dependency/package/bin -name '*' -type f) $(find $HAWQ_TOOLCHAIN_PATH/dependency/package/lib -name '*.dylib' -type f); do
       if [[ $(file $file | grep Mach-O) ]]; then
-        install_name_tool -add_rpath $HAWQ_TOOLCHAIN_PATH/dependency/package/lib $file || true
+        install_name_tool -add_rpath $HAWQ_TOOLCHAIN_PATH/dependency/package/lib $file 2>/dev/null || true
       fi
     done
     install_name_tool -add_rpath $HAWQ_TOOLCHAIN_PATH/dependency/package/lib/perl5/5.28.0/darwin-thread-multi-2level/CORE/ $HAWQ_TOOLCHAIN_PATH/dependency/package/bin/perl
   fi
 
   export MAKEFLAGS=-j$(sysctl -n hw.ncpu)
+  export CFLAGS="$CFLAGS -w"
+  export LDFLAGS="$LDFLAGS -Wl,-rpath,$HAWQ_TOOLCHAIN_PATH/dependency/package/lib"
 fi